#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: vector-binary-instances
version: 0.2.3.5
id: vector-binary-instances-0.2.3.5-88BjY2keX9S3iT3dJHxwKv
key: vector-binary-instances-0.2.3.5-88BjY2keX9S3iT3dJHxwKv
license: BSD3
maintainer: dons00@gmail.com, bos@serpentine.com, Ben Gamari <ben@smart-cactus.org>
stability: Experimental
homepage: https://github.com/bos/vector-binary-instances
synopsis: Instances of Data.Binary and Data.Serialize for vector
description:
    Instances for Binary for the types defined in the vector package,
    making it easy to serialize vectors to and from disk. We use the
    generic interface to vectors, so all vector types are supported.
    Specific instances are provided for unboxed, boxed and storable
    vectors.
    .
    To serialize a vector:
    .
    > *Data.Vector.Binary> let v = Data.Vector.fromList [1..10]
    > *Data.Vector.Binary> v
    > fromList [1,2,3,4,5,6,7,8,9,10] :: Data.Vector.Vector
    > *Data.Vector.Binary> encode v
    > Chunk "\NUL\NUL\NUL\NUL\NUL...\NUL\NUL\NUL\t\NUL\NUL\NUL\NUL\n" Empty
    .
    Which you can in turn compress before writing to disk:
    .
    > compress . encode $ v
    > Chunk "\US\139\b\NUL\NUL\N...\229\240,\254:\NUL\NUL\NUL" Empty
category: Data
author: Don Stewart
exposed: True
indefinite: False
exposed-modules:
    Data.Vector.Binary
abi: 1f84f8655d10b195c7c2b7894b7f8829
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/vector-binary-instances-0.2.3.5
library-dirs: /usr/lib/ghc-8.2.2/site-local/vector-binary-instances-0.2.3.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/vector-binary-instances-0.2.3.5
hs-libraries: HSvector-binary-instances-0.2.3.5-88BjY2keX9S3iT3dJHxwKv
depends:
    base-4.10.1.0 vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4 binary-0.8.5.1
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=aa687f07efbeaeb82a30478c8f07e96e
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
haddock-interfaces: /usr/share/doc/haskell-vector-binary-instances/html/vector-binary-instances.haddock
haddock-html: /usr/share/doc/haskell-vector-binary-instances/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

